#pragma once

#include "TipView.h"
#include "ScriptletDialog.h"

namespace tipupgrader
{

class UpgraderView : public TipView
{
public:
	UpgraderView(void);
	virtual ~UpgraderView(void);

	void RecalcLayout();
	// override
	void Init();
	HWND GetActiveWindow(BOOL bMainWindow = FALSE);
	void CloseMainWindow();
	BOOL OpenMainWindow();
	BOOL IsVisibleMainWindow();
	void SetInitSilent() { m_bInitSilent = TRUE; }
	void SetSingletonDialog(CScriptletDialog* dialog) { m_singletonDialog = dialog; }
	CScriptletDialog* GetSingletonDialog() { return m_singletonDialog; }
	void Invalidate();

private:
	void SetIcon();
	BOOL m_bInitSilent;
	POINT m_WindowPos;
	CScriptletDialog* m_singletonDialog;
};

};
